using System;
namespace ConsoleApp3
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s=Console.ReadLine().Split();
            int n = Convert.ToInt32(s[0]);
            int l = Convert.ToInt32(s[1]);
            int id=-1; string[] s2 = Console.ReadLine().Split();
            for (int i = 1; i <= n; i++)
            { int h = Convert.ToInt32(s2[i-1]);
                if (id== -1)
                {
                    if (h <= l)
                    { id = i; }
                }
                   
            }
            Console.WriteLine(id);

            Console.ReadKey();
        }
    }
}